<?php
function vbBal($Str){
	if($Str==null){
		return 0;
	}else{
		if(strlen($Str)==0){
			return 0;
		}else{
		    $Str=str_replace(",","",$Str);
			if(is_numeric($Str)){
				return $Str;
			}else{
				return 0;
			}
		}
	}
}
//++++++++++++++++++++++++++++++
$StrId=V($_POST['TxtId']);
$StrCmd=V($_POST['TxtAc']);
$KI=vbval(V($_POST['TxtKI']));
$LIMPIAR=0;
//++++++++++++++++++++++++++++++++++++
$P_C="Ani";
//+++++++++++++++++++++++++++
$PLA_SUELDO_MINIMO=vbval(VALORES_GET("APO_SUE_MIN"));
$PLA_PCTJ_ASI_FAM=vbval(VALORES_GET("APO_ASI_FAM"));
$PLA_PCTJ_ES_SALUD=vbval(VALORES_GET("APO_ES_SALUD"));
//
$PLA_TOT_ASI_FAM=round(($PLA_SUELDO_MINIMO * $PLA_PCTJ_ASI_FAM/100)/2,2);
$PLA_PCTJ_ONP=13;//% EN BASE AL SALARIO MINIMO, ES DECIR NO PUEDE SER MENOR QUE ESO
//
$PLA_TDT=0;
$PLA_MOD="Q";
$PLA_MES=0;
$PLA_ANI=0;
$PLA_FEC_DES="";
$PLA_FEC_HAS="";

$PLA_APE="";
$PLA_NOM="";
$PLA_CAR="";
$PLA_FIN="";
$PLA_DNI="";
$PLA_SUE="";
$PLA_CUS="";
//
$PLA_ING_SUE=0;
$PLA_ING_VAC=0;
$PLA_ING_AFA=0;
$PLA_ING_SUB=0;
$PLA_ING_BEX=0;
$PLA_ING_CAP=0;
$PLA_ING_BON=0;
$PLA_ING_PRE=0;
$PLA_ING_HEX=0;
$PLA_ING_TOT=0;
//
$PLA_DES_AFP_NOM="";
$PLA_DES_AFP_FON_POR="";
$PLA_DES_AFP_FON_TOT=0;
//
$PLA_DES_AFP_COM_TIP="";
$PLA_DES_AFP_COM_POR="";
$PLA_DES_AFP_COM_TOT=0;
//
$PLA_DES_AFP_PRI_POR="";
$PLA_DES_AFP_PRI_TOT=0;
//
$PLA_DES_ONP_POR="";
$PLA_DES_ONP_TOT=0;
//
$PLA_DES_ESV=0;
$PLA_DES_QCA=0;
$PLA_DES_HNL=0;
//
$ADE_TOT=0;
$ADE_COB=0;
$PLA_DES_ADE_TOT=0;
//
$TAR_CAN=0;
$TAR_TOT=0;
$TAR_COB=0;
$PLA_DES_TAR_TOT=0;
//
$SAN_CAN=0;
$SAN_TOT=0;
$SAN_COB=0;
$PLA_DES_SAN_TOT=0;
//
$FAL_CAN=0;
$FAL_TOT=0;
$FAL_COB=0;
$PLA_DES_FAL_TOT=0;
//
$VIN_TOT=0;
$VIN_COB=0;
$PLA_DES_VIN_TOT=0;
//
$PEN_TOT=0;
$PEN_COB=0;
$PLA_DES_PEN_TOT=0;
//
$PLA_DES_TOT=0;
//
$PLA_APO_ES_SALUD=0;
$PLA_APO_IES=0;
$PLA_APO_TOT=0;
//
$PLA_NETO=0;
//
$PLA_OTI_VIA=0;
$PLA_OTI_GRA=0;
$PLA_OTI_OTR=0;
//
$PLA_NETO_FINAL=0;
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
$PagFec=V($_POST['PagFec']);
$PagMed=V($_POST['PagMed']);
$PagBanTie=V($_POST['PagBanTie']);
$hTie=V($_POST['hTie']);
$hCue=V($_POST['hCue']);
$PagSaldo=V($_POST['PagSaldo']);
$PagPagar=V($_POST['PagPagar']);
$PagPagado=V($_POST['PagPagado']);
$PagComision=V($_POST['PagComision']);
$PagOpeNro=V($_POST['PagOpeNro']);
$PagOpeFec=V($_POST['PagOpeFec']);
$PagOpeHor=V($_POST['PagOpeHor']);
$PagObs=V($_POST['PagObs']);
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
$PagFec2=V($_POST['PagFec2']);
$PagMed2=V($_POST['PagMed2']);
$PagBanTie2=V($_POST['PagBanTie2']);
$hTie2=V($_POST['hTie2']);
$hCue2=V($_POST['hCue2']);
$PagSaldo2=V($_POST['PagSaldo2']);
$PagPagar2=V($_POST['PagPagar2']);
$PagPagado2=V($_POST['PagPagado2']);
$PagComision2=V($_POST['PagComision2']);
$PagOpeNro2=V($_POST['PagOpeNro2']);
$PagOpeFec2=V($_POST['PagOpeFec2']);
$PagOpeHor2=V($_POST['PagOpeHor2']);
$PagObs2=V($_POST['PagObs2']);
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
$Cod=V($_POST['Cod']);
$Ani=V($_POST['Ani']);
$Mes=V($_POST['Mes']);
$Qui=V($_POST['Qui']);
$Fec=V($_POST['Fec']);
$Dni=V($_POST['Dni']);
$Nom=V($_POST['Nom']);
$Fin=V($_POST['Fin']);
$Car=V($_POST['Car']);
$Cat=V($_POST['Cat']);
$Reg=V($_POST['Reg']);
$Sue=V($_POST['Sue']);
$Des=V($_POST['Des']);
$Has=V($_POST['Has']);
$NRO_DE_HORARIOS=V($_POST['NRO_DE_HORARIOS']);

//++++++++++++++++++++++++++++++++++++++++++
$_PLA_TDT=vbBal(V($_POST['PLA_TDT']));
$_PLA_MOD=V($_POST['PLA_MOD']);
$_PLA_ING_SUE=vbBal(V($_POST['PLA_ING_SUE']));
$_PLA_ING_VAC=vbBal(V($_POST['PLA_ING_VAC']));
$_PLA_ING_AFA=vbBal(V($_POST['PLA_ING_AFA']));
$_PLA_ING_SUB=vbBal(V($_POST['PLA_ING_SUB']));
$_PLA_ING_BEX=vbBal(V($_POST['PLA_ING_BEX']));
$_PLA_ING_CAP=vbBal(V($_POST['PLA_ING_CAP']));
$_PLA_ING_BON=vbBal(V($_POST['PLA_ING_BON']));
$_PLA_ING_PRE=vbBal(V($_POST['PLA_ING_PRE']));
$_PLA_ING_HEX=vbBal(V($_POST['PLA_ING_HEX']));
$_PLA_ING_HEX_SN=vbBal(V($_POST['PLA_ING_HEX_SN']));
//@@
$_PLA_ING_TOT=vbBal(V($_POST['PLA_ING_TOT']));
//++++++++++++++++++++++++++++++++++++++++++
$_PLA_DES_AFP_NOM=V($_POST['PLA_DES_AFP_NOM']);
$_PLA_DES_AFP_FON_POR=V($_POST['PLA_DES_AFP_FON_POR']);
$_PLA_DES_AFP_FON_TOT=vbBal(V($_POST['PLA_DES_AFP_FON_TOT']));
//
$_PLA_DES_AFP_COM_TIP=V($_POST['PLA_DES_AFP_COM_TIP']);
$_PLA_DES_AFP_COM_POR=V($_POST['PLA_DES_AFP_COM_POR']);
$_PLA_DES_AFP_COM_TOT=vbBal(V($_POST['PLA_DES_AFP_COM_TOT']));
//
$_PLA_DES_AFP_PRI_POR=V($_POST['PLA_DES_AFP_PRI_POR']);
$_PLA_DES_AFP_PRI_TOT=vbBal(V($_POST['PLA_DES_AFP_PRI_TOT']));
//
$_PLA_DES_ONP_POR=V($_POST['PLA_DES_ONP_POR']);
$_PLA_DES_ONP_TOT=vbBal(V($_POST['PLA_DES_ONP_TOT']));
//
$_PLA_DES_ESV=vbBal(V($_POST['PLA_DES_ESV']));
$_PLA_DES_QCA=vbBal(V($_POST['PLA_DES_QCA']));
$_PLA_DES_HNL=vbBal(V($_POST['PLA_DES_HNL']));
//
$_ADE_TOT=vbBal(V($_POST['ADE_TOT']));
$_ADE_COB=vbBal(V($_POST['ADE_COB']));
$_PLA_DES_ADE_TOT=vbBal(V($_POST['PLA_DES_ADE_TOT']));
//
$_TAR_CAN=vbBal(V($_POST['TAR_CAN']));
$_TAR_TOT=vbBal(V($_POST['TAR_TOT']));
$_TAR_COB=vbBal(V($_POST['TAR_COB']));
$_PLA_DES_TAR_TOT=vbBal(V($_POST['PLA_DES_TAR_TOT']));
//
$_SAN_CAN=vbBal(V($_POST['SAN_CAN']));
$_SAN_TOT=vbBal(V($_POST['SAN_TOT']));
$_SAN_COB=vbBal(V($_POST['SAN_COB']));
$_PLA_DES_SAN_TOT=vbBal(V($_POST['PLA_DES_SAN_TOT']));
//
$_FAL_CAN=vbBal(V($_POST['FAL_CAN']));
$_FAL_TOT=vbBal(V($_POST['FAL_TOT']));
$_FAL_COB=vbBal(V($_POST['FAL_COB']));
$_PLA_DES_FAL_TOT=vbBal(V($_POST['PLA_DES_FAL_TOT']));
//
$_VIN_TOT=vbBal(V($_POST['VIN_TOT']));
$_VIN_COB=vbBal(V($_POST['VIN_COB']));
$_PLA_DES_VIN_TOT=vbBal(V($_POST['PLA_DES_VIN_TOT']));
//
$_PEN_TOT=vbBal(V($_POST['PEN_TOT']));
$_PEN_COB=vbBal(V($_POST['PEN_COB']));
$_PLA_DES_PEN_TOT=vbBal(V($_POST['PLA_DES_PEN_TOT']));
//@@
$_PLA_DES_TOT=vbBal(V($_POST['PLA_DES_TOT']));
//++++++++++++++++++++++++++++++++++++++++++
$_PLA_APO_ES_SALUD=vbBal(V($_POST['PLA_APO_ES_SALUD']));
$_PLA_APO_IES=vbBal(V($_POST['PLA_APO_IES']));
//@@
$_PLA_APO_TOT=vbBal(V($_POST['PLA_APO_TOT']));
//++++++++++++++++++++++++++++++++++++++++++
//@@
$_PLA_NETO=vbBal(V($_POST['PLA_NETO']));
//zz
$_PLA_OTI_VIA=vbBal(V($_POST['PLA_OTI_VIA']));
$_PLA_OTI_GRA=vbBal(V($_POST['PLA_OTI_GRA']));
$_PLA_OTI_OTR=vbBal(V($_POST['PLA_OTI_OTR']));
$_PLA_NETO_FINAL=vbBal(V($_POST['PLA_NETO_FINAL']));
//@@@@@@@@
$_NRO_DE_HORARIOS=vbBal(V($_POST['NRO_DE_HORARIOS']));
$_AZIGNACION=vbBal(V($_POST['AZIGNACION']));
//
$_AZI_DES_TAR_TOT_REAL_ORI=vbBal(V($_POST['AZI_DES_TAR_TOT_REAL_ORI']));
$_AZI_DES_TAR_TOT_REAL=vbBal(V($_POST['AZI_DES_TAR_TOT_REAL']));
//
$_AZI_DES_SAN_TOT_REAL_ORI=vbBal(V($_POST['AZI_DES_SAN_TOT_REAL_ORI']));
$_AZI_DES_SAN_TOT_REAL=vbBal(V($_POST['AZI_DES_SAN_TOT_REAL']));
//
$_AZI_DES_FAL_TOT_REAL_ORI=vbBal(V($_POST['AZI_DES_FAL_TOT_REAL_ORI']));
$_AZI_DES_FAL_TOT_REAL=vbBal(V($_POST['AZI_DES_FAL_TOT_REAL']));
//
$_AZI_TOT_DSCT=vbBal(V($_POST['AZI_TOT_DSCT']));
$_AZI_SALDO=vbBal(V($_POST['AZI_SALDO']));
//@@@@@@@@
//--------------------------------------------------------------------------
PID($StrId,V($_GET['Id']),$StrCmd,$LStrPag,V($_GET['Pag']));
//--------------------------------------------------------------------------
if(strlen($StrCmd)==0){
	$StrCmd=V($_GET['TxtAc']);
	if($StrCmd=="X"){
		$LIMPIAR=1;		
	}
}
//--------------------------------------------------------------------------
if($StrCmd=="L"){
	$LIMPIAR=1;
}
function FEX($Fec){
	$X=explode("-",$Fec);
	$Fec=$X[2]."-".$X[1]."-".vbr($X[0],2);	
	return $Fec;
}
if(strlen($StrId)>0 && $StrCmd=="AR"){
	//BIT
	$_BIT_MOD_ID=$StrId;
	$_BIT_SQL_CAB="";
	$_BIT_SQL_DET="";
	$_BIT_PHP="boleta_de_pago.php";
	BIT_ADD("PLANILLA","BOLETA DE PAGO","VER",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
	//BIT
	$r=gr("boleta_de_pago","id_bdp=$StrId");
	//	
	$Cod=$r['bdp_cod'];
	$Ani=$r['bdp_ani'];
	$Mes=$r['bdp_mes'];
	$Qui=$r['bdp_qui'];
	$Fec=FEX($r['bdp_fec']);
	$Dni=$r['bdp_dni'];
	$Nom=$r['bdp_nom'];
	$Fin=$r['bdp_fin'];
	$Car=$r['bdp_car'];
	$Cat=$r['bdp_cat'];
	$Reg=$r['bdp_reg'];
	$Sue=$r['bdp_sueldo'];
	//
	$PLA_TDT=$r['bdp_tdt'];
	$PLA_MOD=$r['bdp_mod'];
	$PLA_MES=$r['bdp_mes_'];
	$PLA_ANI=$r['bdp_ani'];
	$PLA_FEC_DES=FEX($r['bdp_dex']);
	$PLA_FEC_HAS=FEX($r['bdp_hax']);
	$PLA_PER_ID=$r['bdp_id_per'];
	$PLA_APE=gs("per_apellidos","personal","id_personal=".$PLA_PER_ID);
	$PLA_NOM=gs("per_nombres","personal","id_personal=".$PLA_PER_ID);
	$PLA_CAR=$r['bdp_car'];
	$PLA_FIN=$r['bdp_fin'];
	$PLA_DNI=$r['bdp_dni'];
	$PLA_SUE=$r['bdp_sueldo'];
	$PLA_CUS=gs("per_pla_cus","personal","id_personal=".$PLA_PER_ID);
	//
	$PLA_ING_SUE=$r['bdp_pla_ing_sue'];
	$PLA_ING_VAC=$r['bdp_pla_ing_vac'];
	$PLA_ING_AFA=$r['bdp_pla_ing_afa'];
	$PLA_ING_SUB=$r['bdp_pla_ing_sub'];
	$PLA_ING_BEX=$r['bdp_pla_ing_bex'];
	$PLA_ING_CAP=$r['bdp_pla_ing_cap'];
	$PLA_ING_BON=$r['bdp_pla_ing_bon'];
	$PLA_ING_PRE=$r['bdp_pla_ing_pre'];
	$PLA_ING_HEX=$r['bdp_pla_ing_hex'];
	$PLA_ING_HEX_SN=$r['bdp_pla_ing_hex_sn'];
	$PLA_ING_TOT=$r['bdp_pla_ing_total'];
	//
	$PLA_DES_AFP_NOM=$r['bdp_pla_des_afp_nom'];
	$PLA_DES_AFP_FON_POR=$r['bdp_pla_des_afp_fon_por'];
	$PLA_DES_AFP_FON_TOT=$r['bdp_pla_des_afp_fon_tot'];
	//
	$PLA_DES_AFP_COM_TIP=$r['bdp_pla_des_afp_com_tip'];
	$PLA_DES_AFP_COM_POR=$r['bdp_pla_des_afp_com_por'];
	$PLA_DES_AFP_COM_TOT=$r['bdp_pla_des_afp_com_tot'];
	//
	$PLA_DES_AFP_PRI_POR=$r['bdp_pla_des_afp_pri_por'];
	$PLA_DES_AFP_PRI_TOT=$r['bdp_pla_des_afp_pri_tot'];
	//
	$PLA_DES_ONP_POR=$r['bdp_pla_des_onp_por'];
	$PLA_DES_ONP_TOT=$r['bdp_pla_des_onp_tot'];
	//
	$PLA_DES_ESV=$r['bdp_pla_des_esv'];
	$PLA_DES_QCA=$r['bdp_pla_des_qca'];
	$PLA_DES_HNL=$r['bdp_pla_des_hnl'];
	//
	$ADE_TOT=$r['bdp_ade_tot'];
	$ADE_COB=$r['bdp_ade_cob'];
	$PLA_DES_ADE_TOT=$r['bdp_pla_des_ade_tot'];
	//++++++
	$TAR_CAN=$r['bdp_tar_can'];
	$TAR_TOT=$r['bdp_tar_tot'];
	$TAR_COB=$r['bdp_tar_cob'];
	$PLA_DES_TAR_TOT=$r['bdp_pla_des_tar_tot'];
	//
	$SAN_CAN=$r['bdp_san_can'];
	$SAN_TOT=$r['bdp_san_tot'];
	$SAN_COB=$r['bdp_san_cob'];
	$PLA_DES_SAN_TOT=$r['bdp_pla_des_san_tot'];
	//
	$FAL_CAN=$r['bdp_fal_can'];
	$FAL_TOT=$r['bdp_fal_tot'];
	$FAL_COB=$r['bdp_fal_cob'];
	$PLA_DES_FAL_TOT=$r['bdp_pla_des_fal_tot'];
	//
	$VIN_TOT=$r['bdp_vin_tot'];
	$VIN_COB=$r['bdp_vin_cob'];
	$PLA_DES_VIN_TOT=$r['bdp_pla_des_vin_tot'];
	//
	$PEN_TOT=$r['bdp_pen_tot'];
	$PEN_COB=$r['bdp_pen_cob'];
	$PLA_DES_PEN_TOT=$r['bdp_pla_des_pen_tot'];
	//
	$PLA_DES_TOT=$r['bdp_pla_des_total'];
	//
	$PLA_APO_ES_SALUD=$r['bdp_pla_apo_es_salud'];
	$PLA_APO_IES=$r['bdp_pla_apo_ies'];
	$PLA_APO_TOT=$r['bdp_pla_apo_total'];
	//
	$PLA_NETO=$r['bdp_pla_neto'];
	//zz
	$PLA_OTI_VIA=$r['bdp_oti_via'];
	$PLA_OTI_GRA=$r['bdp_oti_gra'];
	$PLA_OTI_OTR=$r['bdp_oti_otr'];
	$PLA_NETO_FINAL=$r['bdp_net_total'];
	//@@@
	$NRO_DE_HORARIOS=$r['bdp_azi_ndh'];
	$AZIGNACION=$r['bdp_azi_azignacion'];
	$AZI_DES_TAR_TOT_REAL_ORI=$r['bdp_azi_des_tar_ori'];
	$AZI_DES_TAR_TOT_REAL=$r['bdp_azi_des_tar'];
	$AZI_DES_SAN_TOT_REAL_ORI=$r['bdp_azi_des_san_ori'];
	$AZI_DES_SAN_TOT_REAL=$r['bdp_azi_des_san'];
	$AZI_DES_FAL_TOT_REAL_ORI=$r['bdp_azi_des_fal_ori'];
	$AZI_DES_FAL_TOT_REAL=$r['bdp_azi_des_fal'];
	$AZI_TOT_DSCT=$r['bdp_azi_tot_dsc'];
	$AZI_SALDO=$r['bdp_azi_saldo'];
	//@@@
	//++
	//$PagPagar=$r['bdp_net_total'];
	//++
	$PagFec=$r['bdp_pag_sys_fec'];
	if($PagFec=="1900-01-01"){
		$PagFec="";
	}else{
		$D=explode("-",$PagFec);
		$PagFec=$D[2]."-".$D[1]."-".($D[0]-2000);
	}
	$PagMed=$r['bdp_pag_via'];
	$hTie=$r['bdp_pag_id_tie'];
	$hCue=$r['bdp_pag_id_cue'];
	if($PagMed=="EFECTIVO" || $PagMed=="DEPOSITO"){
		if($hTie==0){
			$PagBanTie="";
		}else{
			$PagBanTie=gs("alm_nombre","almacenes","id_almacen=".$hTie);
		}
	}else{
		if($hCue==0){
			$hCue="";
		}else{
			$PagBanTie=gs("QUENTA","vis_cei_cuentas","ID=".$hCue);
		}
	}
	if($hCue==0 && $hTie==0){		
		$PagSaldo="";
	}else{
		$PagSaldo="***";
	}	
	$PagPagado=$r['bdp_pag_pagado'];
	$PagComision=$r['bdp_pag_comision'];
	$PagOpeNro=$r['bdp_pag_ope'];
	$PagOpeFec=$r['bdp_pag_fec'];
	if($PagOpeFec=="1900-01-01"){
		$PagOpeFec="";
	}else{
		$D=explode("-",$PagOpeFec);
		$PagOpeFec=$D[2]."-".$D[1]."-".($D[0]-2000);
	}
	$PagOpeHor=$r['bdp_pag_hor'];
	$PagObs=$r['bdp_pag_obs'];
	//++
	//*****************************
	$PagFec2=$r['bdp_pag_sys_fec2'];
	if($PagFec2=="1900-01-01"){
		$PagFec2="";
	}else{
		$D2=explode("-",$PagFec2);
		$PagFec2=$D2[2]."-".$D2[1]."-".($D2[0]-2000);
	}
	$PagMed2=$r['bdp_pag_via2'];
	$hTie2=$r['bdp_pag_id_tie2'];
	$hCue2=$r['bdp_pag_id_cue2'];
	if($PagMed2=="EFECTIVO" || $PagMed2=="DEPOSITO"){
		if($hTie==0){
			$PagBanTie2="";
		}else{
			$PagBanTie2=gs("alm_nombre","almacenes","id_almacen=".$hTie2);
		}
	}else{
		if($hCue2==0){
			$hCue2="";
		}else{
			$PagBanTie2=gs("QUENTA","vis_cei_cuentas","ID=".$hCue2);
		}
	}
	if($hCue2==0 && $hTie2==0){		
		$PagSaldo2="";
	}else{
		$PagSaldo2="***";
	}
	//++
	$PagPagado2=$r['bdp_pag_pagado2'];
	$PagComision2=$r['bdp_pag_comision2'];
	$PagOpeNro2=$r['bdp_pag_ope2'];
	$PagOpeFec2=$r['bdp_pag_fec2'];
	if($PagOpeFec2=="1900-01-01"){
		$PagOpeFec2="";
	}else{
		$D2=explode("-",$PagOpeFec2);
		$PagOpeFec2=$D2[2]."-".$D2[1]."-".($D2[0]-2000);
	}
	$PagOpeHor2=$r['bdp_pag_hor'];
	$PagObs2=$r['bdp_pag_obs'];
	//++
	//*****************************
	$LStrFoc="jF('$P_C');";		
}
//--------------------------------------------------------------------------
$_HOR_SUE_KOD=0;
$_HOR_SUE_KIN=0;
$_HOR_SUE_PLA=0;
$_HOR_SUE_ASI=0;
$_HOR_SUE_ASI_TOT=0;
//--------------------------------------------------------------------------
if($StrCmd=="CONSULTAR"){    
	$r=gr("vis_planilla_personal","PER_DNI='$Dni'");
	//
	$PLA_MES=gn("id_mes","meses","mes='$Mes'");
	$PLA_ANI=vbval($Ani);
	if($Qui=="PRIMERA"){
		$PLA_FEC_DES=RC_MES_ANIO_PD($PLA_MES,$PLA_ANI);
		$PLA_FEC_HAS="15-".vbr($PLA_FEC_DES,5);
	}else{
		if($Qui=="SEGUNDA"){
			$PLA_FEC_HAS=RC_MES_ANIO_UD($PLA_MES,$PLA_ANI);
			$PLA_FEC_DES="16-".vbr($PLA_FEC_HAS,5);
		}else{
			$PLA_FEC_DES="01-01-20";
			$PLA_FEC_HAS="01-01-20";
		}
	}
	//
	$NRO_DE_HORARIOS=gn("count(*)","neu_vis_horarios",
					    "DNI='$Dni' AND CAT='REGULAR' AND 
						 FEC_INI>='".ToDate($PLA_FEC_DES)."' AND 
						 FEC_INI<='".ToDate($PLA_FEC_HAS)."' AND SUE_KIN>0");
	if($NRO_DE_HORARIOS>0){
		$_HOR_SUE_KIN=gn("MAX(SUE_KIN)","neu_vis_horarios",
					    "DNI='$Dni' AND CAT='REGULAR' AND 
						 FEC_INI>='".ToDate($PLA_FEC_DES)."' AND 
						 FEC_INI<='".ToDate($PLA_FEC_HAS)."' AND SUE_KIN>0");
		$_HOR_SUE_KOD=gn("ID","neu_vis_horarios",
					    "DNI='$Dni' AND CAT='REGULAR' AND 
						 FEC_INI>='".ToDate($PLA_FEC_DES)."' AND 
						 FEC_INI<='".ToDate($PLA_FEC_HAS)."' AND SUE_KIN=".$_HOR_SUE_KIN);
		$_HOR_SUE_PLA=gn("SUE_PLA","neu_vis_horarios","ID=$_HOR_SUE_KOD");
		$_HOR_SUE_ASI=gn("SUE_ASI","neu_vis_horarios","ID=$_HOR_SUE_KOD");
		$_HOR_SUE_KIN=$_HOR_SUE_PLA+$_HOR_SUE_ASI;
	}else{
		$HX=gn("count(*)","neu_vis_horarios",
			   "DNI='$Dni' AND CAT='REGULAR' AND SUE_KIN>0 AND FEC_INI<='".ToDate($PLA_FEC_DES)."'");
		if($HX>0){
			$H_FEC=gs("MAX(FEC_INI)","neu_vis_horarios",
					  "DNI='$Dni' AND CAT='REGULAR' AND SUE_KIN>0 AND FEC_INI<='".ToDate($PLA_FEC_DES)."'");
			$_HOR_SUE_KIN=gn("MAX(SUE_KIN)","neu_vis_horarios",
					         "DNI='$Dni' AND CAT='REGULAR' AND FEC_INI='".$H_FEC."' AND SUE_KIN>0");
			$_HOR_SUE_KOD=gn("ID","neu_vis_horarios",
							 "DNI='$Dni' AND CAT='REGULAR' AND FEC_INI='".$H_FEC."' AND SUE_KIN=".$_HOR_SUE_KIN);
			//
			$_HOR_SUE_PLA=gn("SUE_PLA","neu_vis_horarios","ID=$_HOR_SUE_KOD");
			$_HOR_SUE_ASI=gn("SUE_ASI","neu_vis_horarios","ID=$_HOR_SUE_KOD");
			$_HOR_SUE_KIN=$_HOR_SUE_PLA+$_HOR_SUE_ASI;
			//
			$NRO_DE_HORARIOS=-1;
			//
		}		
	}
	//
	$DE_EDC=$r['DE_EDC'];
	$DE_EMD=$r['DE_EDC'];
	//
	$Fin=$r['FEC_ING_'];
	$Car=$r['CARGO'];
	$Cat=$r['CAT'];
	$Reg=$r['REG'];
	$Sue=round($r['SUELDO'],2);	
	//	
	if($Fin=="01-01-00")$Fin="xx-xx-xx";	
	if(strlen($Car)==0)$Car="-";
	if(strlen($Cat)==0)$Cat="-";
	if(strlen($Reg)==0)$Reg="-";
	//
	$PLA_APE=$r['PER_APE'];
	$PLA_NOM=$r['PER_NOM'];
	$PLA_CAR=$Car;
	$PLA_FIN=$Fin;
	$PLA_DNI=$Dni;
	//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
	$PLA_SUE=$Sue;
	//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
	$PLA_CUS=$r['CUS'];
	//-------------------------------------------------
	//++
	$CX_TOT_DIAS=0;
	$_RF_TOT_FALTAS=0;
	$_RF_TOT_PERMIS=0;
	$_RF_TOT_DESCAN=0;
	$_RF_TOT_ASISTE=0;
	$CX_TOT_ASIST_R_TA_NA=0;
	$CX_TOT_ASIST_NP_NA=0;
	$CX_TOT_MIN_TAR=0;
	$CX_TOT_MIN_ANT=0;
	$CX_TOT_MIN_REF=0;
	//
	$CX_TOT_ASIST_P_EM=0;
	$CX_TOT_ASIST_P_EC=0;
	$CX_TOT_ASIST_NP_AP=0;
	//
	$ASI_CON_PER_ID=$r['PER_ID'];
	$Dex=$PLA_FEC_DES;//"dd-mm-yy";
	$Hax=$PLA_FEC_HAS;//"dd-mm-yy";
	$HW="BDP_".$r['PER_DNI'];
	//**
	$PLA_ING_SUE=round($Sue/2,2);
	//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
	if($_HOR_SUE_KOD==0){
		$PLA_ING_SUE=$PLA_ING_SUE;			
			$SUELDO_QUINCENA_REAL=$PLA_ING_SUE;	
			$PLA_ING_SUE_REAL=$SUELDO_QUINCENA_REAL;	
	}else{
		$PLA_ING_SUE=$_HOR_SUE_PLA;	
		$PLA_SUE=round($PLA_ING_SUE *2 ,2);	
			$SUELDO_QUINCENA_REAL=$_HOR_SUE_KIN;	
			$PLA_ING_SUE_REAL=$SUELDO_QUINCENA_REAL;
	}
	//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@	
	$SUELDO_DIARIO=round($PLA_ING_SUE/15,2);
		$SUELDO_DIARIO_REAL=round($SUELDO_QUINCENA_REAL/15,2);
	//++++
	if($DE_EDC<=0){
		$DE_EDC=$SUELDO_DIARIO;
	}
	if($DE_EMD<=0){
		$DE_EMD=round($SUELDO_DIARIO/2,2);
	}
	//++++
	$DESCUENTO_X_UNA_FALTA= round($SUELDO_DIARIO,2);
		$DESCUENTO_X_UNA_FALTA_REAL= round($SUELDO_DIARIO_REAL,2);
		$DESCUENTO_X_UNA_FALTA_REAL=abs($DESCUENTO_X_UNA_FALTA_REAL  - $DESCUENTO_X_UNA_FALTA);//@@
	//++
	$DESCUENTO_X_MINUTO= round($SUELDO_DIARIO / 480 ,2);
		$DESCUENTO_X_MINUTO_REAL= round($SUELDO_DIARIO_REAL / 480 ,2);
		$DESCUENTO_X_MINUTO_REAL=abs($DESCUENTO_X_MINUTO_REAL - $DESCUENTO_X_MINUTO);//@@
	//++++
	if($r['CAT']=="EMPLEADO" || $r['CAT']=="OTROS" ){
		/*
		GEN_RESUMEN_EZ($ASI_CON_PER_ID,$Dex,$Hax,$HW,
		$CX_TOT_DIAS,$_RF_TOT_FALTAS,$_RF_TOT_PERMIS,
		$_RF_TOT_DESCAN,$_RF_TOT_ASISTE,
		$CX_TOT_ASIST_R_TA_NA,$CX_TOT_ASIST_NP_NA,
		$CX_TOT_MIN_TAR,$CX_TOT_MIN_ANT,$CX_TOT_MIN_REF,
		$CX_TOT_ASIST_P_EM,$CX_TOT_ASIST_P_EC,$CX_TOT_ASIST_NP_AP);
		*/		
		$MarSal="SI";
		GEN_RESUMEN_22($ASI_CON_PER_ID,$Dex,$Hax,$HW,
		$CX_TOT_DIAS,$_RF_TOT_FALTAS,$_RF_TOT_PERMIS,
		$_RF_TOT_DESCAN,$_RF_TOT_ASISTE,
		$CX_TOT_ASIST_R_TA_NA,$CX_TOT_ASIST_NP_NA,
		$CX_TOT_MIN_TAR,$CX_TOT_MIN_ANT,$CX_TOT_MIN_REF,
		$CX_TOT_ASIST_P_EM,$CX_TOT_ASIST_P_EC,$CX_TOT_ASIST_NP_AP,$MarSal);
		//+++
		
	}
	$PLA_TDT=$_RF_TOT_ASISTE;
	//-------------------------------------------------++++
	if($_RF_TOT_FALTAS>8){
		$PLA_MOD="D";			
		$POR_DIAS_TRABAJADOS="(POR ".$_RF_TOT_ASISTE." DIAS TRABAJADOS)";
		$PLA_ING_SUE=round($SUELDO_DIARIO * $_RF_TOT_ASISTE,2);
			$PLA_ING_SUE_REAL=round($SUELDO_DIARIO_REAL * $_RF_TOT_ASISTE,2);
		$PLA_ING_VAC=0;
		$PLA_ING_AFA=0;
		$PLA_ING_SUB=0;
		$PLA_ING_BEX=0;
		$PLA_ING_CAP=0;
		$PLA_ING_BON=0;
		$PLA_ING_PRE=0;
		$PLA_ING_HEX=round(($CX_TOT_ASIST_NP_AP * $SUELDO_DIARIO) + ($CX_TOT_ASIST_P_EM * $DE_EMD ) + ($CX_TOT_ASIST_P_EC * $DE_EDC),2);
		if($PLA_ING_HEX>0){
			$PLA_ING_HEX_SN=1;
			$PLA_ING_HEX=0;
		}
			$PLA_ING_HEX_REAL=round(($CX_TOT_ASIST_NP_AP * $SUELDO_DIARIO_REAL) + ($CX_TOT_ASIST_P_EM * $DE_EMD ) + ($CX_TOT_ASIST_P_EC * $DE_EDC),2);
		//
		$PLA_ING_TOT=$PLA_ING_SUE + $PLA_ING_VAC + $PLA_ING_AFA + $PLA_ING_SUB +
					 $PLA_ING_BEX + $PLA_ING_CAP + $PLA_ING_BON + $PLA_ING_PRE +
					 $PLA_ING_HEX;
		$PLA_ING_TOT_REAL=$PLA_ING_SUE_REAL + $PLA_ING_VAC + $PLA_ING_AFA + $PLA_ING_SUB +
					 	  $PLA_ING_BEX + $PLA_ING_CAP + $PLA_ING_BON + $PLA_ING_PRE +
					 	  $PLA_ING_HEX_REAL;
		$PLA_ING_TOT=round($PLA_ING_TOT,2);				 
			$PLA_ING_TOT_REAL=round($PLA_ING_TOT_REAL,2);
			$AZIGNACION=round($PLA_ING_TOT_REAL - $PLA_ING_TOT,2);
		//??????????????????????????????????????????
		//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
		$PLA_DES_AFP_NOM="";
		$PLA_DES_AFP_FON_POR="";
		$PLA_DES_AFP_FON_TOT=0;
		//
		$PLA_DES_AFP_COM_TIP="";
		$PLA_DES_AFP_COM_POR="";
		$PLA_DES_AFP_COM_TOT=0;
		//
		$PLA_DES_AFP_PRI_POR="";
		$PLA_DES_AFP_PRI_TOT=0;
		//
		$PLA_DES_ONP_POR="";
		$PLA_DES_ONP_TOT=0;
		//
		$PLA_DES_ESV=0;
		$PLA_DES_QCA=0;
		$PLA_DES_HNL=0;
		//*****************************************************************************************************
		//ADELANTOS
		$_ADE_TOT=gn("SUM(ade_total)","adelantos","ade_id_personal=".$r['PER_ID']);
		$_COB_TOT=gn("SUM(ac_tot)","adelantos_cobros","ac_id_personal=".$r['PER_ID']);
		$TS=round($_ADE_TOT - $_COB_TOT,2);
		$ADE_TOT=$TS;
		$ADE_COB=gn("SUM(SAL)","vis_adelantos_det","PER_ID=".$r['PER_ID']." AND FEC_VEN<='".ToDate($Hax)."'");
		$PLA_DES_ADE_TOT=$ADE_COB;
		//VENTAS INTERNAS
		$_VIN_TOT=gn("SUM(vi_tot)","vi_ventas","vi_anu='NO' AND vi_tdp='CUOTAS' AND vi_id_per=".$r['PER_ID']);
		$_COB_TOT=gn("SUM(ac_tot)","vi_internas_cobros","ac_id_personal=".$r['PER_ID']);
		$TS=round($_VIN_TOT - $_COB_TOT,2);
		$VIN_TOT=$TS;
		$VIN_COB=gn("SUM(SAL)","vis_vi_ventas_det","PER_ID=".$r['PER_ID']." AND FEC_VEN<='".ToDate($Hax)."'");
		$PLA_DES_VIN_TOT=$VIN_COB;
		//PENALIDADES
		$_PEN_TOT=gn("SUM(des_tot)","descuentos","des_anu='N' AND (des_tdp='CUOTAS' OR des_tdp='PAGO UNICO') AND des_id_per=".$r['PER_ID']);
		$_COB_TOT=gn("SUM(dc_tot)","descuentos_cobros","dc_id_per=".$r['PER_ID']);
		$TS=round($_PEN_TOT - $_COB_TOT,2);
		$PEN_TOT=$TS;
		$PEN_COB=gn("SUM(SAL)","vis_descuentos_det","ANU='N' AND PER_ID=".$r['PER_ID']." AND FEC_VEN<='".ToDate($Hax)."'");
		$PLA_DES_PEN_TOT=$PEN_COB;
		//TARDANZAS		
		$TAR_CAN=$CX_TOT_MIN_TAR;
		$TAR_TOT=round($TAR_CAN * $DESCUENTO_X_MINUTO,2);
			$TAR_TOT_REAL=round($TAR_CAN * $DESCUENTO_X_MINUTO_REAL,2);
			//?????
		$TAR_COB=$TAR_TOT;
		$PLA_DES_TAR_TOT=$TAR_COB;
			$AZI_DES_TAR_TOT_REAL=$TAR_TOT_REAL;
		//SALIDA ANTICIPADA
		$SAN_CAN=$CX_TOT_MIN_ANT;
		$SAN_TOT=round($SAN_CAN * $DESCUENTO_X_MINUTO,2);
			$SAN_TOT_REAL=round($SAN_CAN * $DESCUENTO_X_MINUTO_REAL,2);
			//?????
		$SAN_COB=$SAN_TOT;
		$PLA_DES_SAN_TOT=$SAN_COB;
			$AZI_DES_SAN_TOT_REAL=$SAN_TOT_REAL;		
		//FALTAS
		$FAL_CAN=0;//$_RF_TOT_FALTAS;
		$FAL_TOT=round($FAL_CAN * $DESCUENTO_X_UNA_FALTA,2);
			$FAL_TOT_REAL=round($FAL_CAN * $DESCUENTO_X_UNA_FALTA_REAL,2);
			//?????
		$FAL_COB=$FAL_TOT;
		$PLA_DES_FAL_TOT=$FAL_COB;
			$AZI_DES_FAL_TOT_REAL=0;//XQ SE ESTA PAGANDO X DIAS
		//
		$PLA_DES_TOT=$PLA_DES_AFP_FON_TOT + $PLA_DES_AFP_COM_TOT + $PLA_DES_AFP_PRI_TOT + $PLA_DES_ONP_TOT +
					 $PLA_DES_ESV + $PLA_DES_QCA + $PLA_DES_HNL + $PLA_DES_ADE_TOT + $PLA_DES_TAR_TOT +
					 $PLA_DES_SAN_TOT + $PLA_DES_FAL_TOT + $PLA_DES_VIN_TOT + $PLA_DES_PEN_TOT;
		$PLA_DES_TOT=round($PLA_DES_TOT,2);
		//*****************************************************************************************************
		//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@		
		$PLA_APO_ES_SALUD=0;
		$PLA_APO_IES=0;
		//
		$PLA_APO_TOT=$PLA_APO_ES_SALUD + $PLA_APO_IES;
		$PLA_APO_TOT=round($PLA_APO_TOT,2);
		//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
		$PLA_NETO=round($PLA_ING_TOT - $PLA_DES_TOT,2);	
		//zz
		$PLA_OTI_VIA=gn("SUM(asi_tot)","asignaciones",
						"asi_id_tasi=2 AND asi_modalidad='PLANILLA' AND asi_pag='NO' AND asi_anu='NO' AND 
						asi_id_per=".$r['PER_ID']." AND asi_fec>='".ToDate($Dex)."' AND asi_fec<='".ToDate($Hax)."'");
		$PLA_OTI_GRA=gn("SUM(asi_tot)","asignaciones",
						"asi_id_tasi=1 AND asi_modalidad='PLANILLA' AND asi_pag='NO' AND asi_anu='NO' AND 
						asi_id_per=".$r['PER_ID']." AND asi_fec>='".ToDate($Dex)."' AND asi_fec<='".ToDate($Hax)."'");
		$PLA_OTI_OTR=gn("SUM(asi_tot)","asignaciones",
						"asi_id_tasi=3 AND asi_modalidad='PLANILLA' AND asi_pag='NO' AND asi_anu='NO' AND 
						asi_id_per=".$r['PER_ID']." AND asi_fec>='".ToDate($Dex)."' AND asi_fec<='".ToDate($Hax)."'");
		//zz
		$PLA_NETO_FINAL=round($PLA_NETO + $PLA_OTI_VIA + $PLA_OTI_GRA + $PLA_OTI_OTR,1);
		//		
	}else{
		$PLA_ING_VAC=0;
		if($r['ASI_FAM']=="SI"){
			$PLA_ING_AFA=round($PLA_TOT_ASI_FAM /2,2);
		}else{
			$PLA_ING_AFA=0;
		}
		$PLA_ING_SUB=0;
		$PLA_ING_BEX=0;
		$PLA_ING_CAP=0;
		$PLA_ING_BON=0;
		$PLA_ING_PRE=0;
		$PLA_ING_HEX=round(($CX_TOT_ASIST_NP_AP * $SUELDO_DIARIO) + ($CX_TOT_ASIST_P_EM * $DE_EMD ) + ($CX_TOT_ASIST_P_EC * $DE_EDC),2);
		if($PLA_ING_HEX>0){
			$PLA_ING_HEX_SN=1;
			$PLA_ING_HEX=0;
		}
			$PLA_ING_HEX_REAL=round(($CX_TOT_ASIST_NP_AP * $SUELDO_DIARIO_REAL) + ($CX_TOT_ASIST_P_EM * $DE_EMD ) + ($CX_TOT_ASIST_P_EC * $DE_EDC),2);
		//	
		$PLA_ING_TOT=$PLA_ING_SUE + $PLA_ING_VAC + $PLA_ING_AFA + $PLA_ING_SUB +
					 $PLA_ING_BEX + $PLA_ING_CAP + $PLA_ING_BON + $PLA_ING_PRE +
					 $PLA_ING_HEX;
		//
		$PLA_ING_TOT_REAL=$PLA_ING_SUE_REAL + $PLA_ING_VAC + $PLA_ING_AFA + $PLA_ING_SUB +
					 	  $PLA_ING_BEX + $PLA_ING_CAP + $PLA_ING_BON + $PLA_ING_PRE +
					 	  $PLA_ING_HEX_REAL;
		$PLA_ING_TOT=round($PLA_ING_TOT,2);
			$PLA_ING_TOT_REAL=round($PLA_ING_TOT_REAL,2);
			$AZIGNACION=round($PLA_ING_TOT_REAL - $PLA_ING_TOT,2);
		//-------------------------------------------------
		if($r['REG']=="AFP"){
			$PLA_DES_AFP_NOM=$r['AFP_NOM'];
			$PLA_DES_AFP_FON_POR=$r['AFP_FON']."%";
			$PLA_DES_AFP_FON_TOT=round($PLA_ING_TOT * $r['AFP_FON'] /100,2);
			//
			if($r['AFP_TC']=="FLUJO"){
				$PLA_DES_AFP_COM_TIP="(FLUJO)";
				$X=gn("afp_com_flu","afps","afp_nom='".$r['AFP_NOM']."'");
				$PLA_DES_AFP_COM_POR=$X."%";
				$PLA_DES_AFP_COM_TOT=round($PLA_ING_TOT * $X /100,2);
			}else{
				if($r['AFP_TC']=="MIXTA"){
					$PLA_DES_AFP_COM_TIP="(MIXTA)";
					$X=gn("afp_com_mix","afps","afp_nom='".$r['AFP_NOM']."'");
					$PLA_DES_AFP_COM=$X."%";
					$PLA_DES_AFP_COM_TOT=round($PLA_ING_TOT * $X /100,2);
				}else{
					$PLA_DES_AFP_COM_TIP="No determinada";
					$PLA_DES_AFP_COM=0;
					$PLA_DES_AFP_COM_TOT=round($PLA_ING_TOT * $PLA_DES_AFP_COM /100,2);
				}
			}
			//
			$PLA_DES_AFP_PRI_POR=$r['AFP_SEG']."%";
			$PLA_DES_AFP_PRI_TOT=round($PLA_ING_TOT * $r['AFP_SEG'] /100,2);
		}
		if($r['REG']=="SNP"){
			$PLA_DES_ONP_POR=$PLA_PCTJ_ONP."%";
			$PLA_DES_ONP_TOT=round($PLA_ING_TOT * $PLA_PCTJ_ONP /100,2);
		}
		//
		$PLA_DES_ESV=0;
		$PLA_DES_QCA=0;
		$PLA_DES_HNL=0;
		//*****************************************************************************************************
		//ADELANTOS
		$_ADE_TOT=gn("SUM(ade_total)","adelantos","ade_id_personal=".$r['PER_ID']);
		$_COB_TOT=gn("SUM(ac_tot)","adelantos_cobros","ac_id_personal=".$r['PER_ID']);
		$TS=round($_ADE_TOT - $_COB_TOT,2);
		$ADE_TOT=$TS;
		$ADE_COB=gn("SUM(SAL)","vis_adelantos_det","PER_ID=".$r['PER_ID']." AND FEC_VEN<='".ToDate($Hax)."'");
		$PLA_DES_ADE_TOT=$ADE_COB;
		//VENTAS INTERNAS
		$_VIN_TOT=gn("SUM(vi_tot)","vi_ventas","vi_anu='NO' AND vi_tdp='CUOTAS' AND vi_id_per=".$r['PER_ID']);
		$_COB_TOT=gn("SUM(ac_tot)","vi_internas_cobros","ac_id_personal=".$r['PER_ID']);
		$TS=round($_VIN_TOT - $_COB_TOT,2);
		$VIN_TOT=$TS;
		$VIN_COB=gn("SUM(SAL)","vis_vi_ventas_det","PER_ID=".$r['PER_ID']." AND FEC_VEN<='".ToDate($Hax)."'");
		$PLA_DES_VIN_TOT=$VIN_COB;
		//PENALIDADES
		$_PEN_TOT=gn("SUM(des_tot)","descuentos","des_anu='N' AND (des_tdp='CUOTAS' OR des_tdp='PAGO UNICO') AND des_id_per=".$r['PER_ID']);
		$_COB_TOT=gn("SUM(dc_tot)","descuentos_cobros","dc_id_per=".$r['PER_ID']);
		$TS=round($_PEN_TOT - $_COB_TOT,2);
		$PEN_TOT=$TS;
		$PEN_COB=gn("SUM(SAL)","vis_descuentos_det","ANU='N' AND PER_ID=".$r['PER_ID']." AND FEC_VEN<='".ToDate($Hax)."'");
		$PLA_DES_PEN_TOT=$PEN_COB;		
		//TARDANZAS		
		$TAR_CAN=$CX_TOT_MIN_TAR;
		$TAR_TOT=round($TAR_CAN * $DESCUENTO_X_MINUTO,2);
			$TAR_TOT_REAL=round($TAR_CAN * $DESCUENTO_X_MINUTO_REAL,2);
			//?????
		$TAR_COB=$TAR_TOT;
		$PLA_DES_TAR_TOT=$TAR_COB;	
			$AZI_DES_TAR_TOT_REAL=$TAR_TOT_REAL;
		//SALIDA ANTICIPADA
		$SAN_CAN=$CX_TOT_MIN_ANT;
		$SAN_TOT=round($SAN_CAN * $DESCUENTO_X_MINUTO,2);
			$SAN_TOT_REAL=round($SAN_CAN * $DESCUENTO_X_MINUTO_REAL,2);
			//?????
		$SAN_COB=$SAN_TOT;
		$PLA_DES_SAN_TOT=$SAN_COB;
			$AZI_DES_SAN_TOT_REAL=$SAN_TOT_REAL;
		//FALTAS
		$FAL_CAN=$_RF_TOT_FALTAS;
		$FAL_TOT=round($FAL_CAN * $DESCUENTO_X_UNA_FALTA,2);
			$FAL_TOT_REAL=round($FAL_CAN * $DESCUENTO_X_UNA_FALTA_REAL,2);
		$FAL_COB=$FAL_TOT;
		$PLA_DES_FAL_TOT=$FAL_COB;
			$AZI_DES_FAL_TOT_REAL=$FAL_TOT_REAL;
		//
		$PLA_DES_TOT=$PLA_DES_AFP_FON_TOT + $PLA_DES_AFP_COM_TOT + $PLA_DES_AFP_PRI_TOT + $PLA_DES_ONP_TOT +
					 $PLA_DES_ESV + $PLA_DES_QCA + $PLA_DES_HNL + $PLA_DES_ADE_TOT + $PLA_DES_TAR_TOT +
					 $PLA_DES_SAN_TOT + $PLA_DES_FAL_TOT + $PLA_DES_VIN_TOT + $PLA_DES_PEN_TOT;
		$PLA_DES_TOT=round($PLA_DES_TOT,2);
		//*****************************************************************************************************
		//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@		
		$PLA_APO_ES_SALUD=0;
		$PLA_APO_IES=0;
		//
		if($r['CAT']=="EMPLEADO"){
			$PLA_APO_ES_SALUD=round(($Sue * $PLA_PCTJ_ES_SALUD /100)/2,2);
		}
		//
		$PLA_APO_TOT=$PLA_APO_ES_SALUD + $PLA_APO_IES;
		$PLA_APO_TOT=round($PLA_APO_TOT,2);
		//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
		$PLA_NETO=round($PLA_ING_TOT - $PLA_DES_TOT,2);
		//zz
		$PLA_OTI_VIA=gn("SUM(asi_tot)","asignaciones",
						"asi_id_tasi=2 AND asi_modalidad='PLANILLA' AND asi_pag='NO' AND asi_anu='NO' AND 
						asi_id_per=".$r['PER_ID']." AND asi_fec>='".ToDate($Dex)."' AND asi_fec<='".ToDate($Hax)."'");
		$PLA_OTI_GRA=gn("SUM(asi_tot)","asignaciones",
						"asi_id_tasi=1 AND asi_modalidad='PLANILLA' AND asi_pag='NO' AND asi_anu='NO' AND 
						asi_id_per=".$r['PER_ID']." AND asi_fec>='".ToDate($Dex)."' AND asi_fec<='".ToDate($Hax)."'");
		$PLA_OTI_OTR=gn("SUM(asi_tot)","asignaciones",
						"asi_id_tasi=3 AND asi_modalidad='PLANILLA' AND asi_pag='NO' AND asi_anu='NO' AND 
						asi_id_per=".$r['PER_ID']." AND asi_fec>='".ToDate($Dex)."' AND asi_fec<='".ToDate($Hax)."'");
		//zz
		$PLA_NETO_FINAL=round($PLA_NETO + $PLA_OTI_VIA + $PLA_OTI_GRA + $PLA_OTI_OTR,1);
		//		
	}
	//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
	$AZI_TOT_DSCT=round($AZI_DES_TAR_TOT_REAL + $AZI_DES_SAN_TOT_REAL+ $AZI_DES_FAL_TOT_REAL,2);
	$AZI_SALDO=$AZIGNACION - $AZI_TOT_DSCT;
	$AZI_SALDO=round($AZI_SALDO,2);
	$PLA_NETO_FINAL=round($PLA_NETO_FINAL + $AZI_SALDO,1);
	//@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
	$SYS_MSG="OK_CONSULTAR";
}
//--------------------------------------------------------------------------
if($StrCmd=="G" || $StrCmd=="M"){
	$Ani_=vbval($Ani);
	$Mes_=gn("id_mes","meses","mes='$Mes'");
	$Qui_=gn("o","aux","t='PLA_PER_QUIN' AND v='$Qui'");
	$Fec_=ToDate($Fec);
	$Per_=gn("id_personal","personal","per_dni='$Dni'");
	$Sue_=vbval($Sue);
	$Des_=ToDate($Des);
	$Has_=ToDate($Has);
}
//--------------------------------------------------------------------------
if($StrCmd=="G"){
	//
	$CX=gn("count(*)","boleta_de_pago","bdp_ani=".$Ani_." AND bdp_mes_=".$Mes_." AND bdp_qui_=".$Qui_." AND bdp_id_per=".$Per_);
	if($CX>0){
		$SYS_MSG="Periodo (año,mes,quincena) y personal ya registrados ";		
		$StrGT="S";
	}
	//
	if(strlen($StrGT)==0){	
		$Id=GenId("id_bdp","boleta_de_pago");
		$SYS_FEC=date("Y-m-d");
		$SYS_HOR=GetHoraAP();
		$Cod=vbr("000000".$Id,6);
		$GI=GenGI();
		//++++++
		$_bdp_pag="NO";
		$_bdp_pag_sys_fec="1900-01-01";
		$_bdp_pag_sys_hor="";
		$_bdp_pag_sys_tim=0;
		$_bdp_pag_gi=0;
		$_bdp_pag_via="";
		$_bdp_pag_id_tie=0;
		$_bdp_pag_id_cue=0;
		$_bdp_pag_fec="1900-01-01";
		$_bdp_pag_hor="";
		$_bdp_pag_ope="";
		$_bdp_pag_usu_id=0;
		$_bdp_pag_obs="";
		$_bdp_pag_pagado=0;
		$_bdp_pag_comision=0;
		$_bdp_pag_tra_con="NO";
		//++
		$_bdp_pag_sys_fec2="1900-01-01";
		$_bdp_pag_sys_hor2="";
		$_bdp_pag_sys_tim2=0;
		$_bdp_pag_gi2=0;
		$_bdp_pag_via2="";
		$_bdp_pag_id_tie2=0;
		$_bdp_pag_id_cue2=0;
		$_bdp_pag_fec2="1900-01-01";
		$_bdp_pag_hor2="";
		$_bdp_pag_ope2="";
		$_bdp_pag_usu_id2=0;
		$_bdp_pag_obs2="";
		$_bdp_pag_pagado2=0;
		$_bdp_pag_comision2=0;
		$_bdp_pag_tra_con2="NO";
		$_PLA_ING_HEX_SN=vbval($_PLA_ING_HEX_SN);
		//++
		$s="INSERT INTO boleta_de_pago 
			VALUES ($Id,'$SYS_FEC','$SYS_HOR','$Cod',
			$Ani_,'$Mes',$Mes_,'$Qui',$Qui_,'$Fec_',
			$Per_,'$Dni','$Nom','$Fin','$Car','$Cat','$Reg',
			$Sue_,
			$_PLA_ING_SUE,$_PLA_ING_VAC,$_PLA_ING_AFA,$_PLA_ING_SUB,
			$_PLA_ING_BEX,$_PLA_ING_CAP,$_PLA_ING_BON,$_PLA_ING_PRE,
			$_PLA_ING_HEX,$_PLA_ING_TOT,
			'$_PLA_DES_AFP_NOM','$_PLA_DES_AFP_FON_POR',$_PLA_DES_AFP_FON_TOT,
			'$_PLA_DES_AFP_COM_TIP','$_PLA_DES_AFP_COM_POR',$_PLA_DES_AFP_COM_TOT,
			'$_PLA_DES_AFP_PRI_POR',$_PLA_DES_AFP_PRI_TOT,
			'$_PLA_DES_ONP_POR',$_PLA_DES_ONP_TOT,
			$_PLA_DES_ESV,$_PLA_DES_QCA,$_PLA_DES_HNL,
			$_ADE_TOT,$_ADE_COB,$_PLA_DES_ADE_TOT,
			$_TAR_CAN,$_TAR_TOT,$_TAR_COB,$_PLA_DES_TAR_TOT,
			$_SAN_CAN,$_SAN_TOT,$_SAN_COB,$_PLA_DES_SAN_TOT,
			$_FAL_CAN,$_FAL_TOT,$_FAL_COB,$_PLA_DES_FAL_TOT,
			$_VIN_TOT,$_VIN_COB,$_PLA_DES_VIN_TOT,$_PLA_DES_TOT,
			$_PLA_APO_ES_SALUD,$_PLA_APO_IES,$_PLA_APO_TOT,
			$_PLA_NETO,'NO',0,'$Des_','$Has_',$GI,
			$_PLA_OTI_VIA,$_PLA_OTI_GRA,$_PLA_OTI_OTR,
			$_PLA_NETO_FINAL,'$_PLA_MOD',$_PLA_TDT,
			'$_bdp_pag',
			'$_bdp_pag_sys_fec','$_bdp_pag_sys_hor',
			$_bdp_pag_sys_tim,$_bdp_pag_gi,'$_bdp_pag_via',
			$_bdp_pag_id_tie,$_bdp_pag_id_cue,'$_bdp_pag_fec',
			'$_bdp_pag_hor','$_bdp_pag_ope',
			$_bdp_pag_usu_id,'$_bdp_pag_obs',$_bdp_pag_pagado,
			$_bdp_pag_comision,'$_bdp_pag_tra_con',
			'$_bdp_pag_sys_fec2','$_bdp_pag_sys_hor2',
			$_bdp_pag_sys_tim2,$_bdp_pag_gi2,'$_bdp_pag_via2',
			$_bdp_pag_id_tie2,$_bdp_pag_id_cue2,'$_bdp_pag_fec2',
			'$_bdp_pag_hor2','$_bdp_pag_ope2',
			$_bdp_pag_usu_id2,'$_bdp_pag_obs2',$_bdp_pag_pagado2,
			$_bdp_pag_comision2,'$_bdp_pag_tra_con2',
			$_PEN_TOT,$_PEN_COB,$_PLA_DES_PEN_TOT,
			$_NRO_DE_HORARIOS,$_AZIGNACION,$_AZI_DES_TAR_TOT_REAL_ORI,
			$_AZI_DES_TAR_TOT_REAL,$_AZI_DES_SAN_TOT_REAL_ORI,$_AZI_DES_SAN_TOT_REAL,
			$_AZI_DES_FAL_TOT_REAL_ORI,$_AZI_DES_FAL_TOT_REAL,$_AZI_TOT_DSCT,
			$_AZI_SALDO,$_PLA_ING_HEX_SN,'SI')";
		ejt($s);
		//BIT++++++
		$_BIT_MOD_ID=$Id;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="boleta_de_pago.php";
		$_BIT_ID=BIT_ADD("PLANILLA","BOLETA DE PAGO","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT++
		//
		if($_PLA_DES_VIN_TOT>0){
			VIN_COBRO_AUTO($Per_,$_PLA_DES_VIN_TOT,$Fec,$Id);
		}
		if($_PLA_DES_ADE_TOT>0){
			ADE_COBRO_AUTO($Per_,$_PLA_DES_ADE_TOT,$Fec,$Id);
		}
		if($_PLA_DES_PEN_TOT>0){
			PEN_COBRO_AUTO($Per_,$_PLA_DES_PEN_TOT,$Fec,$Id);
		}
		//
		$s="UPDATE asignaciones SET asi_id_bdp=$Id,asi_pag='SI' 
			WHERE asi_modalidad='PLANILLA' AND asi_pag='NO' AND asi_anu='NO' AND 
			asi_id_per=".$Per_." AND asi_fec>='".$Des_."' AND asi_fec<='".$Has_."'";
		ejt($s);
		//		
		$SYS_MSG="OK";
		$SYS_COD=$Id;
		$LIMPIAR=1;
	}
}
//--------------------------------------------------------------------------
if($StrCmd=="M"){	
}
//--------------------------------------------------------------------------
if($StrCmd=="E"){		
}
//--------------------------------------------------------------------------
if(strlen($StrId)>0 && $StrCmd=="AR_EX"){		
}
//--------------------------------------------------------------------------
if($LIMPIAR==1){
	$SYS_NEW="OK_NUEVO";
	//
	$StrId="";
	//
	$Cod="";
	$Ani="";
	$Mes="";
	$Qui="";
	$Fec="";
	$Dni="";
	$Nom="";
	$Fin="";
	$Car="";
	$Cat="";
	$Reg="";
	$Sue="";
	//
	$PLA_MES=0;
	$PLA_ANI=0;
	$PLA_FEC_DES="";
	$PLA_FEC_HAS="";
	$PLA_APE="";
	$PLA_NOM="";
	$PLA_CAR="";
	$PLA_FIN="";
	$PLA_DNI="";
	$PLA_SUE="";
	$PLA_CUS="";
	//
	$PLA_ING_SUE=0;
	$PLA_ING_VAC=0;
	$PLA_ING_AFA=0;
	$PLA_ING_SUB=0;
	$PLA_ING_BEX=0;
	$PLA_ING_CAP=0;
	$PLA_ING_BON=0;
	$PLA_ING_PRE=0;
	$PLA_ING_HEX=0;
	$PLA_ING_HEX_SN=0;
	$PLA_ING_TOT=0;
	//
	$PLA_DES_AFP_NOM="";
	$PLA_DES_AFP_FON_POR="";
	$PLA_DES_AFP_FON_TOT=0;
	//
	$PLA_DES_AFP_COM_TIP="";
	$PLA_DES_AFP_COM_POR="";
	$PLA_DES_AFP_COM_TOT=0;
	//
	$PLA_DES_AFP_PRI_POR="";
	$PLA_DES_AFP_PRI_TOT=0;
	//
	$PLA_DES_ONP_POR="";
	$PLA_DES_ONP_TOT=0;
	//
	$PLA_DES_ESV=0;
	$PLA_DES_QCA=0;
	$PLA_DES_HNL=0;
	//
	$ADE_TOT=0;
	$ADE_COB=0;
	$PLA_DES_ADE_TOT=0;
	//
	$TAR_CAN=0;
	$TAR_TOT=0;
	$TAR_COB=0;
	$PLA_DES_TAR_TOT=0;
	//
	$SAN_CAN=0;
	$SAN_TOT=0;
	$SAN_COB=0;
	$PLA_DES_SAN_TOT=0;
	//
	$FAL_CAN=0;
	$FAL_TOT=0;
	$FAL_COB=0;
	$PLA_DES_FAL_TOT=0;
	//
	$VIN_TOT=0;
	$VIN_COB=0;
	$PLA_DES_VIN_TOT=0;
	//
	$PLA_DES_TOT=0;
	//
	$PLA_APO_ES_SALUD=0;
	$PLA_APO_IES=0;
	$PLA_APO_TOT=0;
	//
	$PLA_NETO=0;
	//
	$PLA_OTI_VIA=0;
	$PLA_OTI_GRA=0;
	$PLA_OTI_OTR=0;
	//
	$PLA_NETO_FINAL=0;
	$PLA_MOD="";
	$PLA_TDT=0;
	//++
	$PagFec="";
	$PagMed="";
	$PagBanTie="";
	$hTie="";
	$hCue="";
	$PagSaldo="";
	$PagPagar="";
	$PagPagado="";
	$PagComision="";
	$PagOpeNro="";
	$PagOpeFec="";
	$PagOpeHor="";
	$PagObs="";
	//++
	$PagFec2="";
	$PagMed2="";
	$PagBanTie2="";
	$hTie2="";
	$hCue2="";
	$PagSaldo2="";
	$PagPagar2="";
	$PagPagado2="";
	$PagComision2="";
	$PagOpeNro2="";
	$PagOpeFec2="";
	$PagOpeHor2="";
	$PagObs2="";
	//++
	$NRO_DE_HORARIOS="";
	$AZIGNACION="";
	$AZI_DES_TAR_TOT_REAL_ORI="";
	$AZI_DES_TAR_TOT_REAL="";
	$AZI_DES_SAN_TOT_REAL_ORI="";
	$AZI_DES_SAN_TOT_REAL="";
	$AZI_DES_FAL_TOT_REAL_ORI="";
	$AZI_DES_FAL_TOT_REAL="";
	$AZI_TOT_DSCT="";
	$AZI_SALDO="";
	//++
}
//--------------------------------------------------------------------------
$LStrMsg=BL($StrGT,$LStrMsg,$LStrFoc,$P_C);
?>